/*============================================================================
  File:      DmhLocalization.h
 
  Summary:   Localization function declaration

  Date:		 June 30, 2004
------------------------------------------------------------------------------
  This file is part of the Microsoft SQL Server Code Samples.
 
  Copyright (C) 2003 Microsoft Corporation.  All rights reserved.
 
This source code is intended only as a supplement to Microsoft
Development Tools and/or on-line documentation.  See these other
materials for detailed information regarding Microsoft code samples.
 
THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.
============================================================================*/

#pragma once

// Aggregator localization
// -----------------------

// In order to support localization, you must implement the following function
// as appropriate. All localizable strings should be refered to within the code
// using resource IDs. 

extern HRESULT LoadStringFromID(int		iIDString,  // Resource ID of the string
								LCID	lcid,		// Locale
								WCHAR	wchar[],	// Buffer into which string is written
								INT		ccharMax);	// 1 + size of the buffer