/*============================================================================
  File:      IDMPersist.Stubs.cpp
 
  Summary:   IDMPersist stubs to paste into implementation file
			 for class implementing the new algorithm

  Date:		 September 12, 2003
------------------------------------------------------------------------------
  This file is part of the Microsoft SQL Server Code Samples.
 
  Copyright (C) 2003 Microsoft Corporation.  All rights reserved.
 
This source code is intended only as a supplement to Microsoft
Development Tools and/or on-line documentation.  See these other
materials for detailed information regarding Microsoft code samples.
 
THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.
============================================================================*/



////
//
// IDMPersist interface
//
////

STDMETHODIMP	YOUR_ALG_CLASS::Load(	
				IDMContextServices*		in_pContext,
				IDMPersistenceReader*	in_pReader	)
{
	// Load your model using the IDMPersistenceReader interface. 

	return S_OK;
}

STDMETHODIMP	YOUR_ALG_CLASS::Save(	
				IDMContextServices*		in_pContext,
				IDMPersistenceWriter*	in_pWriter	)
{
	// Save your model using the IDMPersistenceWriter interface.
	
	return S_OK;
}



