/*============================================================================
  File:      IDMPersist.Stubs.h
 
  Summary:   IDMPersist declarations to paste into header file
			 for class implementing the new algorithm

  Date:		 September 12, 2003
------------------------------------------------------------------------------
  This file is part of the Microsoft SQL Server Code Samples.
 
  Copyright (C) 2003 Microsoft Corporation.  All rights reserved.
 
This source code is intended only as a supplement to Microsoft
Development Tools and/or on-line documentation.  See these other
materials for detailed information regarding Microsoft code samples.
 
THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.
============================================================================*/


	// IDMPersist interface
	
	STDMETHOD	(Load)(	
					IDMContextServices*		in_pContext,
					IDMPersistenceReader*	in_pReader	);

	STDMETHOD	(Save)(	
					IDMContextServices*		in_pContext,
					IDMPersistenceWriter*	in_pWriter	);
